## conntrack 1.4.1

=== doc/manual/Makefile ===
html-no-chunks:
	xmlto xhtml-nochunks -m config.xsl conntrack-tools.tmpl
clean:
	rm -f conntrack-tools.html

## conntrack 0.9.14

=== debian/control ===
Source: conntrack
Section: net
Priority: optional
Maintainer: Alexander Wirt <formorer@debian.org>
Homepage: http://conntrack-tools.netfilter.org/
Build-Depends: debhelper (>= 5), libnfnetlink-dev (>= 1.0.0),
 libnetfilter-conntrack-dev (>= 0.0.101), bison, flex
Standards-Version: 3.8.4

Package: conntrack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Program to modify the conntrack tables
 conntrack is a userspace command line program targeted at system
 administrators. It enables them to view and manage the in-kernel
 connection tracking state table.

Package: conntrackd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Connection tracking daemon
 Conntrackd can replicate the status of the connections that are
 currently being processed by your stateful firewall based on Linux.
 Conntrackd can also run as statistics daemon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 -fno-strict-aliasing
endif

# fix "read_config_lex.c:4451: error: 'input' defined but not used"
CFLAGS += -DYY_NO_INPUT

build: debian/stamp-build
debian/stamp-build:
	dh_testdir

	# ./configure
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--disable-dependency-tracking \
		--prefix=/usr

	# Build libnetfilter-conntrack
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/stamp-*

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: debian/stamp-install
debian/stamp-install: debian/stamp-build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install

	touch $@



# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A AUTHORS
	dh_installchangelogs -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_install -a -X.svn
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## conntrack 1.4.1

=== debian/changelog ===
conntrack (1:1.4.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Error on fwrite failure in src/read_config_lex.c.
    - Patch from Kees Cook to not ignore return value of chdir call.
  * Merge the above changes into a patch and drop the parse.c change as
    its included in debian

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 15 Dec 2013 19:58:06 +0530

conntrack (1:1.4.1-1) unstable; urgency=low

  * [095df09] Move to 3.0 (quilt) for bz2 support
  * [6b61aef] Imported Upstream version 1.4.1
    - Fix build error in parse.c (Closes: #707388)
  * [6d981a0] Update build-deps

 -- Alexander Wirt <formorer@debian.org>  Thu, 06 Jun 2013 13:43:18 +0200

conntrack (1:1.2.1-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Error on fwrite failure in src/read_config_lex.c.
    - Patch from Kees Cook to not ignore return value of chdir call.
  * Include stdio.h to fix FTBFS.

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 27 Jul 2012 11:40:16 +0200

conntrack (1:1.2.1-1) unstable; urgency=low

  * [ed902b3] Initial upstream branch.
  * [ea27bb4] Imported Upstream version 1.2.1
  * [9a5f9ae] Update libnetfilter_conntrack requirement
  * [92005c6] Fix dependency
  * [fb4a63b] wrap-and-sort debian/control
  * [21100c2] Remove obsolete stuff
  * [30f468d] Convert to dh9
  * [b96ec88] Bump standards version
  * [741f6a6] wrap-and-sort
  * [9c43cb9] Install examples
  * [f403c41] Installation of examples moved to dh_installexamples
  * [d60e302] Remove wrong example

 -- Alexander Wirt <formorer@debian.org>  Tue, 12 Jun 2012 18:09:58 +0200

conntrack (1:1.0.0-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #778690) Remaining changes:
    - Error on fwrite failure in src/read_config_lex.c.
    - Patch from Kees Cook to not ignore return value of chdir call.

 -- Angel Abad <angelabad@ubuntu.com>  Tue, 07 Jun 2011 15:17:56 +0200

conntrack (1:1.0.0-2) unstable; urgency=low

  * Build depend on libnetfilter-conntrack >= 0.9.1 
    (Closes: #616410)

 -- Alexander Wirt <formorer@debian.org>  Fri, 04 Mar 2011 10:07:00 +0100

conntrack (1:1.0.0-1) unstable; urgency=low

  * New upstream version (Closes: #589202, #589203, #589204) 
    - Fix removing of conntrack entries (Closes: #496769)
  * Bump standards version
  * Force deb source 1.0
  * Use invoke-rc.d in logrotate.de (Closes: #613512)
  * Make logrotate silent (Closes: #605247)

 -- Alexander Wirt <formorer@debian.org>  Thu, 03 Mar 2011 23:07:26 +0100

conntrack (1:0.9.14-2ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #599148), remaining changes:
    - Error on fwrite failure in src/read_config_lex.c. 
    - Patch from Kees Cook to not ignore return value of chdir call.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Sun, 27 Jun 2010 23:47:14 +0200

conntrack (1:0.9.14-2) unstable; urgency=low

  * Integrate lost NMU from Stefan Fritsch. Thanks Stefan
  * Prevent dpkg conffile prompt for unmodified conntrackd.conf when upgrading
    from pre 1:0.9.12-1 (closes: #542662).

 -- Alexander Wirt <formorer@debian.org>  Sat, 13 Feb 2010 11:17:59 +0100

conntrack (1:0.9.14-1) unstable; urgency=low

  * New upstream version 
  * Add ${misc:Depends} to all binary packages
  * Add dpatch support
  * Bump standards version (no changes)
  * Remove Max from Uploaders. Thanks for your work!
  * Backport patch from HEAD to fix UDP filtering. 
    Thanks tino for the hint

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jan 2010 18:34:09 +0100

conntrack (1:0.9.13-1.1ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes: LP: #506831
    - Error on fwrite failure in src/read_config_lex.c.
    - Patch from Kees Cook to not ignore return value of chdir call.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Wed, 13 Jan 2010 10:36:40 +0530

conntrack (1:0.9.13-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Prevent dpkg conffile prompt for unmodified conntrackd.conf when upgrading
    from pre 1:0.9.12-1 (closes: #542662).

 -- Stefan Fritsch <sf@debian.org>  Sat, 28 Nov 2009 20:41:03 +0100

conntrack (1:0.9.13-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release (Closes: #537896, #545918)
    - require libnfnetlink 1.0.0, libnetfilter_conntrack 0.0.100
    - ChangeLog was removed by upstream
  * updated home page in the copyright file (Closes: #533583)
  * correct LSB dependencies in init script, patch by Petter Reinholdtsen
    (Closes: #541079)

  [ Alexander Wirt ]
  * Bump standards version 

 -- Alexander Wirt <formorer@debian.org>  Thu, 17 Sep 2009 12:32:19 +0200

conntrack (1:0.9.12-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #380358), remaining changes:
    - Error on fwrite failure in src/read_config_lex.c.
    - Patch from Kees Cook to not ignore return value of chdir call.
  * debian/copyright: Updated download site.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 18 Jun 2009 18:27:31 -0500

conntrack (1:0.9.12-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - build-depend on libnfnetlink 0.0.40, libnetfilter-conntrack 0.0.99
    - fixes FTBS (undeclared variable) 
    (Closes: #522181, #518891)
  * moved conntrackd.conf to /etc/conntrackd/conntrackd.conf (Closes: #477679)
  * updated sample configuration file
  * updated home page to http://conntrack-tools.netfilter.org/
  * restart conntrackd after logrotate (Closes: #513079)

  [ Alexander Wirt ]
  * Bump standards version 

 -- Alexander Wirt <formorer@debian.org>  Thu, 02 Apr 2009 11:37:25 +0200

conntrack (1:0.9.7-1.1ubuntu2) jaunty; urgency=low

  * Patch from Kees Cook to not ignore return value of chdir call. Thanks
    Kees (LP: #256380)
  * Remove undef of _FORTIFY_SOURCE.
  * Error on fwrite failure in src/read_config_lex.c.

 -- James Westby <james.westby@canonical.com>  Mon, 24 Nov 2008 01:27:09 +0000

conntrack (1:0.9.7-1.1ubuntu1) jaunty; urgency=low



=== debian/control ===
Source: conntrack
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
Homepage: http://conntrack-tools.netfilter.org/
Build-Depends: bison,
               debhelper (>= 9),
               flex,
               libmnl-dev (>= 1.0.1),
               libnetfilter-conntrack-dev (>= 1.0.1),
               libnetfilter-cthelper0-dev,
               libnetfilter-cttimeout-dev (>= 1.0.0),
               libnetfilter-queue-dev (>= 1.0.2),
               libnfnetlink-dev (>= 1.0.1)
Standards-Version: 3.9.4

Package: conntrack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to modify the conntrack tables
 conntrack is a userspace command line program targeted at system
 administrators. It enables them to view and manage the in-kernel
 connection tracking state table.

Package: conntrackd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Connection tracking daemon
 Conntrackd can replicate the status of the connections that are
 currently being processed by your stateful firewall based on Linux.
 Conntrackd can also run as statistics daemon.

## conntrack 1.4.2

=== debian/changelog ===
conntrack (1:1.4.2-3ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/p/changes.patch:
      + Error on fwrite failure in src/read_config_lex.c.
      + Patch from Kees Cook to not ignore return value of chdir call.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Aug 2015 13:28:09 -0400

conntrack (1:1.4.2-3) unstable; urgency=medium

  * [d2fe984] d/patches: add CVE-2015-6496.patch (Closes: #796103)

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Wed, 19 Aug 2015 20:08:53 +0200

conntrack (1:1.4.2-2ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/changes.patch:
      + Error on fwrite failure in src/read_config_lex.c.
      + Patch from Kees Cook to not ignore return value of chdir call.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Oct 2014 11:31:44 +0100

conntrack (1:1.4.2-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [9e57eb1] d/control: add Vcs fields
  * [d2f808f] d/control: architecture is linux-any

  [ Alexander Wirt ]
  * [70fd658] Update config.{guess,sub} with autotools-dev (Closes: #763692)

 -- Alexander Wirt <formorer@debian.org>  Thu, 02 Oct 2014 07:51:09 +0200

conntrack (1:1.4.2-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [063c2ed] d/control: add Arturo Borrero Gonzalez as uploader
  * [2f1d20b] d/rules: delete useless comment
  * [afca2aa] d/rules: do a verbose build
  * [932ae12] d/control: add autotools-dev as build-dep
  * [8c11b54] d/control: bump standars to 3.9.6
  * [f93ca69] d/copyright: add a proper copyright file
  * [66d8631] d/copyright: fix overriding of file matching
  * [bb3229e] d/: new binary package for nfct

  [ Alexander Wirt ]
  * [b5b4069] Add systemd support
  * [8beec8e] wrap-and-sort
  * [9f760e5] Imported Upstream version 1.4.2

 -- Alexander Wirt <formorer@debian.org>  Fri, 26 Sep 2014 15:58:30 +0200

=== debian/control ===
Source: conntrack
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Homepage: http://conntrack-tools.netfilter.org/
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9),
               dh-systemd,
               flex,
               libmnl-dev (>= 1.0.1),
               libnetfilter-conntrack-dev (>= 1.0.1),
               libnetfilter-cthelper0-dev,
               libnetfilter-cttimeout-dev (>= 1.0.0),
               libnetfilter-queue-dev (>= 1.0.2),
               libnfnetlink-dev (>= 1.0.1)
Standards-Version: 3.9.6
Vcs-Git: https://github.com/formorer/pkg-conntrack.git
Vcs-Browser: https://github.com/formorer/pkg-conntrack.git

Package: conntrack
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Program to modify the conntrack tables
 conntrack is a userspace command line program targeted at system
 administrators. It enables them to view and manage the in-kernel
 connection tracking state table.

Package: conntrackd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Connection tracking daemon
 Conntrackd can replicate the status of the connections that are
 currently being processed by your stateful firewall based on Linux.
 Conntrackd can also run as statistics daemon.

Package: nfct
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to interact with the connection tracking system
 nfct is the command line tool that allows you to manipulate the Netfilter's
 Connection Tracking System.
 .
 By now, the supported subsystem is timeout.

## conntrack 1.4.3

=== debian/changelog ===
conntrack (1:1.4.3-1) unstable; urgency=medium

  * [db73d0e] Imported Upstream version 1.4.3
  * [0ccc8d0] d/patches: drop CVE-2015-6496.patch
  * [bf49028] d/control: lower priority from optional to extra

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 15 Sep 2015 13:13:43 +0200

conntrack (1:1.4.2-4) unstable; urgency=medium

  * [fcc616e] conntrackd.service: add ProtectSystem= and ProtectHome=
  * [5a4a432] d/: add basic DEP8 test suite

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Tue, 08 Sep 2015 10:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: conntrack
 Section: net
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
+Priority: extra
+Maintainer: Alexander Wirt <formorer@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
 Homepage: http://conntrack-tools.netfilter.org/
 Build-Depends: autotools-dev,
@@ -19,6 +18,7 @@
 Standards-Version: 3.9.6
 Vcs-Git: https://github.com/formorer/pkg-conntrack.git
 Vcs-Browser: https://github.com/formorer/pkg-conntrack.git
+XS-Testsuite: autopkgtest
 
 Package: conntrack
 Architecture: linux-any
